# calibre-web

[![Build Status](https://build.coopcloud.tech/api/badges/coop-cloud/calibre-web/status.svg)](https://build.coopcloud.tech/coop-cloud/calibre-web)

> Calibre-Web is a web app providing a clean interface for browsing, reading
> and downloading eBooks using an existing Calibre database.

<!-- metadata -->

* **Category**: Apps
* **Status**: 2, pre-alpha
* **Image**: [linuxserver/calibre-web](https://hub.docker.com/r/linuxserver/calibre-web), 2, third-party
* **Healthcheck**: No
* **Backups**: No
* **Email**: N/A
* **Tests**: 2
* **SSO**: 1

<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new ${REPO_NAME} --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app config YOURAPPDOMAIN` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app deploy YOURAPPDOMAIN`
6. Open the configured domain in your browser to finish set-up

The default login is login: `admin`, password: `admin123`

[`abra`]: https://git.coopcloud.tech/coop-cloud/abra
[`coop-cloud/traefik`]: https://git.coopcloud.tech/coop-cloud/traefik
